---
- hosts: nodes
  remote_user: root
  tasks:

  ### (a): Get the container's FQDN ###
  - name: Dump container FQDN
    debug: # INSERT ARGUMENTS HERE


  ### (b):  Get the container IP address ###
  - name: Dump container IP address
    debug: # INSERT ARGUMENTS HERE


  ### (c): Get the control host name ###
  - name: Dump control host name
    debug: # INSERT ARGUMENTS HERE


  ### (d): Get the host's public IP address ###
  - name: Get my public IP using 'dig +short'
    shell: # INSERT ARGUMENTS HERE
    register: public_ip

  - name: Dump public_ip variable
    debug: var=public_ip


  ### (e): Get the latitude and longitude for each node ###
  - name: Download GeoLiteCity DB
    get_url: # INSERT ARGUMENTS HERE

  - name: Unzip GeoLiteCity.dat.gz
    shell: gunzip -f GeoLiteCity.dat.gz

  - name: Run geoiplookup to get latitude
    shell: # INSERT ARGUMENTS HERE
    register: latitude

  - name: Dump latitude variable
    debug: var=latitude

  - name: Run geoiplookup to get longitude
    shell: # INSERT ARGUMENTS HERE
    register: longitude

  - name: Dump longitude variable
    debug: var=longitude


  ### (f): Fetch the parameterized URL ###
  - name: Dump the full URL, to make sure it looks OK 
    debug: msg="http://www.lively-web.org/nodejs/GEETutorial/helloWorld?slice=# INSERT ARGUMENTS HERE"

  - name: Fetch the full URL
    shell: curl "http://www.lively-web.org/nodejs/GEETutorial/helloWorld?slice=# INSERT ARGUMENTS HERE"